package com.backendsys.modules.system.service;

import cn.hutool.json.JSONArray;
import com.backendsys.modules.system.entity.SysCommon;
import com.backendsys.utils.response.PageEntity;

import java.util.List;
import java.util.Map;

public interface SysCommonService {

    // 获取系统配置列表
//    PageEntity selectCommonList(String category);
    List<SysCommon> selectCommonList(String category);

    // 获取系统配置详情
    SysCommon selectCommonDetail(SysCommon sysCommon);
    // 编辑系统配置
    Map<String, Object> updateCommon(SysCommon sysCommon);

    // 获取系统配置值 (按标识)
    Object getCommonByTag(String tag);
    // 获取系统配置可选值组 (按标识)
    JSONArray getCommonOptionByTag(String tag);
    // 通过可选值组，获取对应的文本翻译
    Object getLabelByValue(JSONArray common_options, Object value);

    // 获取系统配置值 (按分类)
    List<SysCommon> getCommonByCategory(String category);

}
